Subject: bug#18196: 24.4.50; crash when setting face background in terminal frame

From: Nicolas Avrutin <[email-masked]>
Date: Tue, 05 Aug 2014 17:18:07 -0400

On Tue, Aug 05 2014, Nicolas Avrutin <[email-masked]> wrote:
> ...  also fixes the issue I mentioned with the modeline and echo area.

Actually, it doesn't completely fix that issue. It happens much less,
but I can still reproduce it sometimes. If I open emacsclient -nw in a
small terminal (less than 1/4 of my 1920x1080 screen), all text is black
(and thus invisible) and the modeline again creeps into the echo area,
though an old replica of the modeline remains one line above the echo
area. In addition, the menu bar is invisible and contains a copy of the
first line of text.

When this happens, I can almost always fix it by enlarging the terminal
(full-screening it, for exaample) and then restoring it to the small
size. My guess (based on skimming the discussion in bug #18136) would be
that some function is being called when the terminal (and thus frame) is
resized, but not when the frame is first created.

-- 
Nicolas Avrutin